none
BizTalk Adapter Pack 2.0 and Oracle dependency versions (ODAC) RRS feed

  • Question

  • What is the exact version dependency of the ODAC/ODP.NET  components on  Biztalk adapter pack 2.0  64 BIT
    We have  windows  2008 64  bit  OS + Biztalk 64 bit ...



     Documentation says :  Oracle Client (ODAC) 11.1.0.6 for windows   with Patch Set 11.1.0.7 

    If  you  are at Oracle's  site  it has a  new
    11.1.0.7  ODAC installer .
           
       1. Do we just need to install the
    11.1.0.6 and then apply the 11.1.0.7  patch
         or
          Go ahead and install the 11.1.0.7  directly

        2. For 64 Bit do we need to get a separate installer ?

    Monday, December 28, 2009 8:41 PM

Answers

  • Using 11g clients with 10.2 servers is fully supported. You can refer to the Oracle documentation and it clearly states so. This is a supported configuration for Microsoft BizTalk Adapter Pack 2.0 too.
    Wednesday, December 30, 2009 4:35 AM

All replies

  • At the time of product release, 11.1.0.7 was not available independently, and therefore officially supported setup is 11.1.0.6 and then the patch to upgrade to 11.1.0.7.

    For BizTalk Adapter Pack, 64 bit binaries are included in the download. You will need to install the 64 bit ODAC for that (which is a separate installer).

    Thanks,
    Manas

    Tuesday, December 29, 2009 2:49 AM

  • Thanks Manas ....

    Is it a requirement to have the  ODAC client 11.1.0.6 /11.1.0.7 client ..Can we use 10.2.0.2 client with the adapter pack 2.0 ?
    Tuesday, December 29, 2009 4:04 AM
  • No - adapter pack 2.0 uses features from ODAC 11.1.0.6/11.1.0.7 and will not work with 10.2.0.2.

    Tuesday, December 29, 2009 6:35 AM
  • We have Oracle database server 10.2 versions here ..The DBA raised a concern of using the the 11.1.0  clients with 10.2 servers ..I don't know how valid it is because as per Oracle  all the client versions are back ward comptible till 9.2
    Tuesday, December 29, 2009 3:02 PM
  • Using 11g clients with 10.2 servers is fully supported. You can refer to the Oracle documentation and it clearly states so. This is a supported configuration for Microsoft BizTalk Adapter Pack 2.0 too.
    Wednesday, December 30, 2009 4:35 AM